From 2c2a10adfc7db03a55c890ea2ef927196478980d Mon Sep 17 00:00:00 2001
From: human <human@neet.fi>
Date: Sun, 26 May 2019 19:33:34 +0300
Subject: [PATCH 1/2] xbps-src: fix typo in help text

---
 xbps-src | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/xbps-src b/xbps-src
index 37c0506fc6f..8e0a5a15575 100755
--- a/xbps-src
+++ b/xbps-src
@@ -122,7 +122,7 @@ show-repo-updates
     Prints the list of outdated packages in XBPS repositories.
 
 show-sys-updates
-    Prints the list of oudated packages in your system.
+    Prints the list of outdated packages in your system.
 
 sort-dependencies <pkg> <pkgN+1> ...
     Given a list of packages specified as additional arguments, a sorted dependency

From c8bc1bcc29c4a27662ea10111d94a4611574da58 Mon Sep 17 00:00:00 2001
From: human <human@neet.fi>
Date: Sun, 26 May 2019 19:36:00 +0300
Subject: [PATCH 2/2] xbps-src: enter chroot before bootstrap-update

fixes https://github.com/void-linux/void-packages/issues/11848
---
 xbps-src | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

diff --git a/xbps-src b/xbps-src
index 8e0a5a15575..65269079586 100755
--- a/xbps-src
+++ b/xbps-src
@@ -696,7 +696,11 @@ case "$XBPS_TARGET" in
         install_bbootstrap bootstrap
         ;;
     bootstrap-update)
-        bootstrap_update
+        if [ -n "$CHROOT_READY" -a -z "$IN_CHROOT" ]; then
+            chroot_handler bootstrap-update
+        else
+            bootstrap_update
+        fi
         ;;
     chroot)
         chroot_handler chroot dummy
